<template>
	<div class="content-area ">
		<div class="container-fluid generator-content content-demo">
			<div class="row">
				<sidebar-preview></sidebar-preview >
				<content-builder></content-builder>
				<builder-schemes></builder-schemes>
			</div>
		</div>
	</div>
</template>

<script>


import api from '../../api'
import SidebarPreview from '../CourseBuilder/SidebarPreview'
import ContentBuilder from './ContentBuilder/index'
import BuilderSchemes from './BuilderSchemes'
export default {
	components : {
		SidebarPreview,
		ContentBuilder,
		BuilderSchemes
		},
		mounted(){

			$(window).bind('beforeunload', function(e) {
				e.returnValue = '¿Estas seguro de abandonar la pagina? Se perderan los cambios no salvados.'
				return '¿Estas seguro de abandonar la pagina? Se perderan los cambios no salvados.'
				});

			$(window).unload(function(e) {
				
				let id = window.location.href.split('/').pop()
				api.endCourseLog({id: id })
				});

		}
}
</script>